Skip to main content

Order Injection configuration (1.0.0)

Download OpenAPI specification:Download

Use this API to configure and manage order injection process in the NewStore platform.

For more information, see the [configuration guide](/docs/development/configuration/config-order injection.html#configuring-order injection-operations).

order-injection-config

Order Injection Configuration

Get order injection configuration

Retrieves the current order injection configuration set up for your business. The response payload also contains the current version of the configuration, the timestamp when it was last updated, and who updated it.

Authorizations:
newStoreAccessToken

Responses

Response samples

Content type
application/json
{
  • "value": {
    },
  • "version": "string",
  • "updated_at": "2019-08-24T14:15:22Z",
  • "updated_by": "string"
}

Update order injection configuration

Updates the current order injection configuration for your business. The version value in the query parameter must match the latest version returned by the GET endpoint.

Authorizations:
newStoreAccessToken
query Parameters
version
required
string
Example: version=1
Request Body schema: application/json

The updated config value

object (OrderInjectionConfigurationBigSalesOrder)
Deprecated

Deprecated and ignored. The maximum number of items an order can contain is fixed at 300 and is no longer configurable.

skip_soft_routing_on_injection
boolean

When set to true, do not do the soft routing for injected orders with a service level identifier.

Responses

Request samples

Content type
application/json
{
  • "big_sales_order": {
    },
  • "skip_soft_routing_on_injection": true
}

Response samples

Content type
application/json
{
  • "value": {
    },
  • "version": "string",
  • "updated_at": "2019-08-24T14:15:22Z",
  • "updated_by": "string"
}

Replace order injection configuration

Use this method to create a new order injection configuration or completely replace the current configuration for your business. The version value in the query parameter must either be set to 1 or it must match the latest version returned by the GET endpoint.

Authorizations:
newStoreAccessToken
query Parameters
version
required
string
Example: version=1
Request Body schema: application/json

The updated config value

object (OrderInjectionConfigurationBigSalesOrder)
Deprecated

Deprecated and ignored. The maximum number of items an order can contain is fixed at 300 and is no longer configurable.

skip_soft_routing_on_injection
boolean

When set to true, do not do the soft routing for injected orders with a service level identifier.

Responses

Request samples

Content type
application/json
{
  • "big_sales_order": {
    },
  • "skip_soft_routing_on_injection": true
}

Response samples

Content type
application/json
{
  • "value": {
    },
  • "version": "string",
  • "updated_at": "2019-08-24T14:15:22Z",
  • "updated_by": "string"
}